Get Connection
curl --request GET \
--url https://production.trackstarhq.com/connections/{connection_id} \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/connections/{connection_id}"
headers = {"x-trackstar-api-key": "<x-trackstar-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-trackstar-api-key': '<x-trackstar-api-key>'}};
fetch('https://production.trackstarhq.com/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"connection_id": "07b344db-0304-4866-9ae1-ac8af5292a28",
"integration_name": "integration_name",
"integration_display_name": "ShipBob",
"customer_id": "customer_id",
"created_at": "2023-01-01T00:00:00Z",
"last_used": "2023-01-01T00:00:00Z",
"times_used": 1,
"sync_schedules": [
{
"function_name": "get_inventory",
"last_crawl_start": "2023-01-01T00:00:00Z",
"last_crawl_end": "2023-01-01T00:00:00Z",
"latest_data": "2023-01-01T00:00:00Z",
"sync_frequency": 3600,
"sync_status": "enabled"
}
],
"errors": [
{
"error_message": "error_message",
"affected_endpoints": [
{
"endpoint": "GET /connection",
"preventing_sync": false
}
],
"first_seen": "2023-01-01T00:00:00Z",
"last_seen": "2023-01-01T00:00:00Z"
}
],
"available_actions": [
"get_inventory",
"get_products"
],
"integration_type": "wms",
"webhooks_disabled": false,
"historical_sync_completed": {
"get_bills": true,
"get_inbound_shipments": true,
"get_inventory": true,
"get_orders": true,
"get_products": true,
"get_returns": true,
"get_warehouse_customers": true,
"get_warehouse_locations": true,
"get_warehouses": true
},
"me": {
"account_id": "account_12345",
"account_name": "My WMS Account"
}
}
]
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Admin API Reference
Get Connection
Returns the specified connection.
GET
/
connections
/
{connection_id}
Get Connection
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Path Parameters
Response
Successful response
A list of connections for your organization.
Show child attributes
Show child attributes
Example:
[
{
"connection_id": "07b344db-0304-4866-9ae1-ac8af5292a28",
"integration_name": "integration_name",
"integration_display_name": "ShipBob",
"customer_id": "customer_id",
"created_at": "2023-01-01T00:00:00Z",
"last_used": "2023-01-01T00:00:00Z",
"times_used": 1,
"sync_schedules": [
{
"function_name": "get_inventory",
"last_crawl_start": "2023-01-01T00:00:00Z",
"last_crawl_end": "2023-01-01T00:00:00Z",
"latest_data": "2023-01-01T00:00:00Z",
"sync_frequency": 3600,
"sync_status": "enabled"
}
],
"errors": [
{
"error_message": "error_message",
"affected_endpoints": [
{
"endpoint": "GET /connection",
"preventing_sync": false
}
],
"first_seen": "2023-01-01T00:00:00Z",
"last_seen": "2023-01-01T00:00:00Z"
}
],
"available_actions": ["get_inventory", "get_products"],
"integration_type": "wms",
"webhooks_disabled": false,
"historical_sync_completed": {
"get_bills": true,
"get_inbound_shipments": true,
"get_inventory": true,
"get_orders": true,
"get_products": true,
"get_returns": true,
"get_warehouse_customers": true,
"get_warehouse_locations": true,
"get_warehouses": true
},
"me": {
"account_id": "account_12345",
"account_name": "My WMS Account"
}
}
]
⌘I